%define upstream_name	 Finance-Quote
%define upstream_version 1.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get stock and mutual fund quotes from various exchanges 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Finance/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Date::Manip)
BuildRequires: perl(Date::Range)
BuildRequires: perl(Date::Simple)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTML::TreeBuilder::XPath)
BuildRequires: perl(HTTP::CookieJar::LWP) >= 0.14.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IO::Uncompress::Unzip)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::http)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent) >= 6.480.0
BuildRequires: perl(Module::CPANTS::Analyse)
BuildRequires: perl(Module::Load) >= 0.360.0
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(POSIX)
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Spreadsheet::XLSX)
BuildRequires: perl(String::Util)
BuildRequires: perl(Test2) >= 1.302.167
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage) >= 1.0.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(Time::Seconds)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI::Escape) >= 3.310.0
BuildRequires: perl(Web::Scraper)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(feature)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Finance::Quote provides access to time-delayed stock quotes from a
number of sources.  After you've installed the package, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes Examples LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Finance
%{_mandir}/*/*

%changelog
* Wed May 22 2024 tv <tv> 1.620.0-1.mga10
+ Revision: 2065935
- update to 1.62

* Sun Apr 28 2024 tv <tv> 1.610.0-1.mga10
+ Revision: 2061447
- update to 1.61

* Fri Jan 05 2024 tv <tv> 1.590.0-1.mga10
+ Revision: 2027685
- update to 1.59

* Tue Aug 29 2023 tv <tv> 1.580.0-1.mga10
+ Revision: 1980970
- update to 1.58

* Thu Dec 29 2022 tv <tv> 1.540.0-1.mga9
+ Revision: 1927678
- update to 1.54

* Sat Oct 15 2022 tv <tv> 1.530.100-1.mga9
+ Revision: 1896895
- update to 1.5301

* Wed Oct 12 2022 tv <tv> 1.530.0-1.mga9
+ Revision: 1896416
- update to 1.53

* Mon Jul 04 2022 tv <tv> 1.520.0-1.mga9
+ Revision: 1867551
- update to 1.52

* Wed Mar 23 2022 umeabot <umeabot> 1.510.0-2.mga9
+ Revision: 1820723
- Mageia 9 Mass Rebuild

* Wed Jul 07 2021 tv <tv> 1.510.0-1.mga9
+ Revision: 1735047
- update to 1.51
- update to 1.50

* Sat Feb 15 2020 umeabot <umeabot> 1.490.0-2.mga8
+ Revision: 1526814
- Mageia 8 Mass Rebuild

* Mon Jul 01 2019 tv <tv> 1.490.0-1.mga8
+ Revision: 1416696
- update to 1.49

* Thu Sep 20 2018 umeabot <umeabot> 1.470.0-2.mga7
+ Revision: 1283911
- Mageia 7 Mass Rebuild

* Wed Nov 15 2017 tv <tv> 1.470.0-1.mga7
+ Revision: 1177456
- update to 1.47

* Sat Nov 11 2017 tv <tv> 1.450.0-1.mga7
+ Revision: 1176893
- update to 1.45

* Wed Nov 08 2017 tv <tv> 1.440.0-1.mga7
+ Revision: 1176573
- update to 1.44

* Tue Nov 07 2017 tv <tv> 1.430.0-1.mga7
+ Revision: 1176395
- update to 1.43

* Mon Nov 06 2017 tv <tv> 1.400.0-1.mga7
+ Revision: 1176176
- update to 1.40

* Sun Jun 19 2016 pterjan <pterjan> 1.380.0-3.mga6
+ Revision: 1027630
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.380.0-2.mga6
+ Revision: 969349
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.380.0-1.mga6
+ Revision: 868455
- update to 1.38

* Tue Jul 14 2015 sander85 <sander85> 1.370.0-1.mga6
+ Revision: 854073
- update to 1.37

* Wed Oct 15 2014 umeabot <umeabot> 1.350.0-3.mga5
+ Revision: 751008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.350.0-2.mga5
+ Revision: 684797
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.350.0-1.mga5
+ Revision: 639999
- update to 1.35

* Tue May 20 2014 jquelin <jquelin> 1.320.0-1.mga5
+ Revision: 624291
- update to 1.32

* Tue May 06 2014 jquelin <jquelin> 1.310.0-1.mga5
+ Revision: 620631
- update to 1.31

* Tue Apr 15 2014 jquelin <jquelin> 1.290.0-1.mga5
+ Revision: 614813
- update to 1.29

* Mon Mar 17 2014 jquelin <jquelin> 1.280.0-1.mga5
+ Revision: 604360
- update to 1.28

* Thu Mar 13 2014 jquelin <jquelin> 1.270.0-1.mga5
+ Revision: 602914
- update to 1.27

* Mon Mar 03 2014 jquelin <jquelin> 1.250.0-1.mga5
+ Revision: 598674
- update to 1.25

* Mon Feb 24 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 596258
- update to 1.20

* Fri Oct 18 2013 umeabot <umeabot> 1.180.0-3.mga4
+ Revision: 511717
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 367504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 301371
- update to 1.18

* Wed Feb 15 2012 jquelin <jquelin> 1.170.0-2.mga2
+ Revision: 209314
- fix yahoo quote urls (mga#4508)

* Sun Jan 23 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 33776
- mageia rebuild
- imported package perl-Finance-Quote

